## WebKitEditorState WebKitEditorState — Web editor state |

## Functions

guint | webkit_editor_state_get_typing_attributes ()

## Properties

guint | typing-attributes | Read

## Types and Values

struct | WebKitEditorState
enum | WebKitEditorTypingAttributes

## Object Hierarchy

        GObject
        ╰── WebKitEditorState

## Description

WebKitEditorState represents the state of a WebKitWebView editor. Use `webkit_web_view_get_editor_state()` to get WebKitEditorState of a WebKitWebView.

## Functions

### webkit_editor_state_get_typing_attributes ()

    guint
    webkit_editor_state_get_typing_attributes
                                   (WebKitEditorState *editor_state);

Gets the typing attributes at the current cursor position. If there is a selection, this returns the typing attributes of the the selected text. Note that in case of a selection, typing attributes are considered active only when they are present throughout the selection.

#### Parameters

editor_state | a WebKitEditorState |

#### Returns

a bitmask of WebKitEditorTypingAttributes flags

Since: 2.10

## Types and Values

### struct WebKitEditorState

    struct WebKitEditorState;

### enum WebKitEditorTypingAttributes

Enum values with flags representing typing attributes.

#### Members

WEBKIT_EDITOR_TYPING_ATTRIBUTE_NONE | No typing attrubutes. |
WEBKIT_EDITOR_TYPING_ATTRIBUTE_BOLD | Bold typing attribute. |
WEBKIT_EDITOR_TYPING_ATTRIBUTE_ITALIC | Italic typing attribute. |
WEBKIT_EDITOR_TYPING_ATTRIBUTE_UNDERLINE | Underline typing attribute. |
WEBKIT_EDITOR_TYPING_ATTRIBUTE_STRIKETHROUGH | Strikethrough typing attribute. |

Since: 2.10

## Property Details

### The `“typing-attributes”` property

      “typing-attributes”        guint

Bitmask of WebKitEditorTypingAttributes flags. See `webkit_editor_state_get_typing_attributes()` for more information.

Flags: Read

Default value: 0

Since: 2.10

## See Also

WebKitWebView